import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { BytesFilterObjectSchema as BytesFilterObjectSchema } from './BytesFilter.schema';
import { DateTimeFilterObjectSchema as DateTimeFilterObjectSchema } from './DateTimeFilter.schema';
import { CloudFileScalarRelationFilterObjectSchema as CloudFileScalarRelationFilterObjectSchema } from './CloudFileScalarRelationFilter.schema';
import { CloudFileWhereInputObjectSchema as CloudFileWhereInputObjectSchema } from './CloudFileWhereInput.schema'

const cloudfilechunkwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => CloudFileChunkWhereInputObjectSchema), z.lazy(() => CloudFileChunkWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => CloudFileChunkWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => CloudFileChunkWhereInputObjectSchema), z.lazy(() => CloudFileChunkWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  fileId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  seq: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  data: z.union([z.lazy(() => BytesFilterObjectSchema), z.instanceof(Uint8Array)]).optional(),
  createdAt: z.union([z.lazy(() => DateTimeFilterObjectSchema), z.coerce.date()]).optional(),
  file: z.union([z.lazy(() => CloudFileScalarRelationFilterObjectSchema), z.lazy(() => CloudFileWhereInputObjectSchema)]).optional()
}).strict();
export const CloudFileChunkWhereInputObjectSchema: z.ZodType<Prisma.CloudFileChunkWhereInput> = cloudfilechunkwhereinputSchema as unknown as z.ZodType<Prisma.CloudFileChunkWhereInput>;
export const CloudFileChunkWhereInputObjectZodSchema = cloudfilechunkwhereinputSchema;
